#!/bin/sh

# Backup / Restore sysfiles
SCRIPTNAME=backup_sysfiles.sh
USB_SRC=/media/usb/
USB_DEVICE=/dev/sda1

CFG_FILE=${USB_SRC}sw_update/backup_restore_cfg
SYSFILES_BACKUP_DIR=${USB_SRC}sw_update/bak_sysconfig
USB_UPDATE_ROOT_PATH="${USB_SRC}sw_update"
# Variables
REQUIREMENTS_MET=TRUE

echo "---------------------------------------------------------"
echo "$SCRIPTNAME: entering script."

# Test requirements: usb mounted?
if [ ! -e $USB_UPDATE_ROOT_PATH ] ; then
	echo "${SCRIPTNAME}: $USB_UPDATE_ROOT_PATH not found"
	REQUIREMENTS_MET=FALSE
fi

if [ $REQUIREMENTS_MET = TRUE ] ; then
	# Clean / remove backup folder
	echo "${SCRIPTNAME}: cleaning backup folder."
	rm -rf $SYSFILES_BACKUP_DIR
	mkdir $SYSFILES_BACKUP_DIR
	# Copy files to backup folder
	echo "${SCRIPTNAME}: storing files."
	while IFS= read -r; do
		SOURCE=${REPLY}
		FILENAME=$(basename $SOURCE)
		DESTINATION="${SYSFILES_BACKUP_DIR}/${FILENAME}"
		echo "entry/SRC=${SOURCE},filename=${FILENAME},destination=${DESTINATION}"
		if [ -d ${SOURCE} ] ; then
			echo "${SOURCE} is a directory"
			cp --verbose --force --recursive ${SOURCE} ${DESTINATION}
		elif [ -f ${SOURCE} ] ; then
			echo "${SOURCE} is a regular file"
			cp --verbose --force ${SOURCE} ${DESTINATION}
		else 
			echo "${SOURCE} is neither file nor folder"
		fi			
	done < $CFG_FILE
else
	echo "${SCRIPTNAME}: done nothing."
fi 

echo "${SCRIPTNAME}: leaving script."
echo "-----------------------------------------------------------------"

